import request from '@/utils/request'

// 查询期刊列表
export function listPeriodical(query) {
  return request({
    url: '/base/periodical/list',
    method: 'get',
    params: query
  })
}

// 查询期刊详细
export function getPeriodical(id) {
  return request({
    url: '/base/periodical/' + id,
    method: 'get'
  })
}

// 新增期刊
export function addPeriodical(data) {
  return request({
    url: '/base/periodical',
    method: 'post',
    data: data
  })
}

// 修改期刊
export function updatePeriodical(data) {
  return request({
    url: '/base/periodical',
    method: 'put',
    data: data
  })
}

// 删除期刊
export function delPeriodical(id) {
  return request({
    url: '/base/periodical/' + id,
    method: 'delete'
  })
}
